#!/bin/bash
CURPATH=$(cd "$(dirname "$0")"; pwd)
. ${CURPATH}/getUserAndHomePath.sh
loginUser=$(getUser)

UkeySN=$1
echo ${UkeySN}
WebURL=
if [ "${#UkeySN}" == "16" ];then
	WebURL=" https://corp.bank.ecitic.com/cotb/login.html"
	echo ${WebURL}
else
	WebURL=" https://i.bank.ecitic.com/perbank6/signIn.do"
	echo ${WebURL}
fi	

DefaultDir="/home/"${loginUser}"/.config/mimeapps.list"
BrowserDesktop=$(cat ${DefaultDir} | grep -n "x-scheme-handler/https" | grep -v ";" | awk -F "=" '{print $2}')
BrowserDesktopDir="/usr/share/applications/"${BrowserDesktop}
BrowserBin=$(cat ${BrowserDesktopDir} | grep -m1 "Exec" | awk -F "=" '{print $2}')
echo ${BrowserBin}

#BINNAME=${BrowserBin}${WebURL}
BINNAME="xdg-open"${WebURL}
echo ${BINNAME}
hasOpen=`ps -ef|grep ${BINNAME}|grep -v grep`

if [ "$loginUser" != "root" ];then
	if [ "$DISPLAY" == "" ];then
		sudo -i -u $loginUser -- bash -c "export DISPLAY=:0;export LANGUAGE=zh_CN;${BINNAME} &"
    else
        ${BINNAME} &
    fi
fi